﻿----------------------------------------------------------------------------------
-- Addon:         ProGuide - Guide Handler UI
-- Author:        Claus Gade Pedersen - Satisfyme
-- File:          Language/enUS.lua
-- Description:   English translation.
-- Translated by: Satisfyme
----------------------------------------------------------------------------------
-- Addon version: 21
-- File Revision: 21
-- Last Edit:     2011-09-26T21:24:25Z
-- Last Edit By:  satisfyme
----------------------------------------------------------------------------------

ProGuideLocals = {
  -- Formated strings
  ["%d/%d"]           = "%d/%d",
  ["%s level: %d"]    = "%s level: %d",
  ["Create %s"]       = "Create %s",
  ["ClickToShowMap"]  = "%s\n|cFF00FF00Click to show map.|r",
  ["BuyFrom"]         = "Can be bought from %s\n|cFF00FF00Click to show waypoint to Vendor.|r",
  ["LearnFrom"]       = "Learn from %s\n|cFF00FF00Click to show waypoint to Trainer.|r",
  ["TrainFrom"]       = "Train from %s\n|cFF00FF00Click to show waypoint to Trainer.|r",
  ["Train %s %s"]     = "Train %s %s",
  ["Learn %s%s"]      = "Learn %s%s",
  ["Level %s to %d"]  = "Level %s to %d",
  
  -- Text
  ["Buy List"]                  = "Buy List",
  ["BuyListTooltip"]            = "Shows a list of items needed\nfor this part of the guide",
  ["Create "]                   = "Create ",
  ["Get items listed below"]    = "Get items listed below",
  ["Guides"]                    = "Guides",
  ["No Guide Loaded"]           = "No Guide Loaded",
  [" or "]                      = " or ",

  -- Currency
  ["Dalaran Jewelcrafting Token"]      = "Dalaran Jewelcrafting Token",
  ["Dalaran Cooking Award"]            = "Dalaran Cooking Award",
  ["Champion's Seal"]                  = "Champion's Seal",
  ["Illustrious Jewelcrafter's Token"] = "Illustrious Jewelcrafter's Token",
  ["Conquest Points"]                  = "Conquest Points",
  ["Tol Barad Commendation"]           = "Tol Barad Commendation",
  ["Honor Points"]                     = "Honor Points",
  ["Justice Points"]                   = "Justice Points",
  ["Valor Points"]                     = "Valor Points",
  ["Chef's Award"]                     = "Chef's Award",

  -- Profession & Skill names
  ["Alchemy"]        = "Alchemy",
  ["Alchemist"]      = "Alchemist",
  ["Archaeology"]    = "Archaeology",
  ["Blacksmithing"]  = "Blacksmithing",
  ["Blacksmith"]     = "Blacksmith",
  ["Cooking"]        = "Cooking",
  ["Cook"]           = "Cook",
  ["Enchanting"]     = "Enchanting",
  ["Enchanter"]      = "Enchanter",
  ["Engineering"]    = "Engineering",
  ["Engineer"]       = "Engineer",
  ["First Aid"]      = "First Aid",
  ["Fishing"]        = "Fishing",
  ["Herbalism"]      = "Herbalism",
  ["Herbalist"]      = "Herbalist",
  ["Inscription"]    = "Inscription",
  ["Scribe"]         = "Scribe",
  ["Jewelcrafting"]  = "Jewelcrafting",
  ["Jewelcrafter"]   = "Jewelcrafter",
  ["Leatherworking"] = "Leatherworking",
  ["Leatherworker"]  = "Leatherworker",
  ["Mining"]         = "Mining",
  ["Miner"]          = "Miner",
  ["Skinning"]       = "Skinning",
  ["Skinner"]        = "Skinner",
  ["Tailoring"]      = "Tailoring",
  ["Tailor"]         = "Tailor",
  ["Riding"]         = "Riding",
  
  -- Profession Level Name
  ["Apprentice"]               = "Apprentice",
  ["Journeyman"]               = "Journeyman",
  ["Expert"]                   = "Expert",
  ["Artisan"]                  = "Artisan",
  ["Master"]                   = "Master",
  ["Grand Master"]             = "Grand Master",
  ["Illustrious Grand Master"] = "Illustrious Grand Master",

  -- Profession Item Prefix
  ["Recipe: "]    = "Recipe: ",
  ["Plans: "]     = "Plans: ",
  ["Formula: "]   = "Formula: ",
  ["Schematic: "] = "Schematic: ",
  ["Manual: "]    = "Manual: ",
  ["Technique: "] = "Technique: ",
  ["Design: "]    = "Design: ",
  ["Pattern: "]   = "Pattern: ",

  -- Config Pages
  ["About"]                          = "About",
  ["Click and press Ctrl-C to copy"] = "Click and press Ctrl-C to copy",
  ["Config"]                         = "Config",
  ["ConfigNumOBJ"]                   = "Number of Objective UI",
  ["ConfigNumOBJDes"]                = "This is the number of Objective UI to show.\nIt's used in case you want to follow up to %d guides at the same time.",
  ["Debug Frame"]                    = "Debug Frame",
  ["DebugFrameDes"]                  = "This frame shows debug, error and validation report depending on the config settings.",
  ["Debug Frame Fading"]             = "Debug Frame Fading",
  ["Description"]                    = "Description",
  ["Fade Debug Frame"]               = "Fade Debug Frame",
  ["FadeDebugFrameDes"]              = "When enabled, the Debug Frame will fade out when mouse is not over.",
  ["Fade Level"]                     = "Fade Level",
  ["FadeLevelDes"]                   = "Percentage of debug frame to show, when fading out.",
  ["Guide Makers"]                   = "Guide Makers",
  ["Guide List"]                     = "Guide List",
  ["GuideListDes"]                   = "This is the list of all guides that is avalible",
  ["GuideMakerCheckDes"]             = "When checked you will be able to use the configs below",
  ["GuideMakersDes"]                 = "These settings should only be used by guide makers.\nThey are for debugging and error reports",
  ["Help"]                           = "Help",
  ["HelpDes"]                        = "This is a list of icons and what they represent.",
  ["I'm a Guide Maker"]              = "I'm a Guide Maker",
  ["IconLeftClick"]                  = "Left-Click|r to open Objective UI.",
  ["IconRightClick"]                 = "Right-Click|r to edit the configuration.",
  ["MainConfigDes"]                  = [[
This addon is the second generation of Tour Guide - Trade Skill

It's a standalone addon that don't need Tour Guide to be used like the Tour Guide - Trade Skill dose.
It will have a new interface witch is larger than the old one and holds more information in it witch should make it more readable.

This addon project is still in planing, so if you have installed this addon then it will not be fully working.
  ]],
  ["Messages"]                       = "Messages",
  ["OBJFrameConfig"]                 = "Objective UI Config",
  ["Pro Guide"]                      = "Pro Guide",
  ["Profile"]                        = "Profile",
  ["ProfileDes"]                     = "This is profile section, where you can save and load settings for your characters.",
  ["Report Frame"]                   = "Report Frame",
  ["Show Debug Frame"]               = "Show Debug Frame",
  ["ShowDebugFrameDes"]              = "Shows a debug frame where errors, debug and validation reports are shown in.",
  ["Show Debug Message"]             = "Show Debug Message",
  ["ShowDebugMessageDes"]            = "Show debug messages in debug frame.",
  ["Show Errors"]                    = "Show Errors",
  ["ShowErrorsDes"]                  = "Show errors in debug frame.",
  ["Show Events"]                    = "Show Events",
  ["ShowEventsDes"]                  = "Show events that Pro Guide uses.",
  ["Show Guide Validation Raport"]   = "Show Guide Validation Raport",
  ["ShowGuideValReportDes"]          = "Show guide validation raport in debug frame, when a guide fails the validation.",

  -- Developing Error Reporting
  ["DevDebug"]                = "|cff00ffffDebug:|r %s",
  ["DevDebugGuideFNS"]        = "Guide: %s, faction was set to Contested.",
  ["DevDebugGuideATOG"]       = "Guide: %s, is added to Original Guides, in case there is a translate to that guide.",
  ["DevDebugGuideValidated"]  = "Guide: %s, passed validation.",
  ["DevDebugGuideValiFail"]   = "Guide: %s, failed validation. Guide vas not loaded!",
  ["DevDebugGuideOL"]         = "Guide: %s, is in another language. Guide will not be loaded until translated",
  ["DevDebugGuideOF"]         = "Guide: %s, is for another faction. Guide was not loaded",
  ["DevError"]                = "|cffff0000Error:|r %s",
  ["DevErrorGuideWrong"]      = "Guide %s, did not have a guide or was wrong format.",
  ["DevErrorLangNotSet"]      = "Guide %s, did not have a language.",
  ["DevErrorNoGuideName"]     = "ProGuide:AddGuide did not have a guide name.",
  ["DevEvent"]                = "|cffffff00Event:|r %s",
  ["DevFailValidate"]         = "|cffff0000Guide:|r |cff00ff00%s|r - |cffff6060Failed validation!|r",
  ["DevKeyNotValid"]          = "|cffff0000%s Key:|r |cff00ff00%s|r - |cffff6060Is not a valid key.|r",
  ["DevKeyValueWrongFormat"]  = "|cffff0000%s Key:|r |cff00ff00%s|r - |cffff6060Is wrong format.|r",
  ["DevKeyMustBeNumber"]      = "|cffff0000%s Key:|r |cff00ff00%s|r - |cffff6060Key must be a number.|r",
  ["DevStepOnlyOneHeadline"]  = "|cffff0000%s|r |cffff6060have %d Headline, only one is allowed.|r",
  ["DevRequiredMissing"]      = "|cffff6060%d required key[s] is missing in:|r - |cffff0000%s Key:|r |cff00ff00%s|r|cffff6060.|r",
  ["DevValiReport"]           = "|cffffcc00=================== VALIDATE REPORT ====================|r",
  ["DevValiReportEnd"]        = "|cffffcc00================= END VALIDATE REPORT ==================|r",
  ["DevValiPrefixMain"]       = "Main Line ",
  ["DevValiPrefixPart"]       = "Part %d, ",
  ["DevValiPrefixStep"]       = "Part %d, Step %d, ",

}

setmetatable(ProGuideLocals, {__index=function(t,k) rawset(t, k, k); return k; end})